
Tripnet - Client Comments #117720
Tripnet ERP changes
02/22/2022 11:10 am - Deepak R

Status: Fixed not Tested Start date: 02/22/2022
Priority: Normal Due date: 02/23/2022
Assignee: Jithin J % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 6.50 hours
End_Date: 02/22/2022 Areas Affected: ERP
remarks: nil Files Changed: B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs
CommonProjects/Common/Settings.cs
CommonProjects/CommonDTOs/DTOs/ERPDTO.cs
CommonProjects/DataProvider/DataAccess/ERPDetailsDA.cs

DB Changes: Modified SP'S
--------------
InsertERPDetails(ERP DB)
InsertERPData(Main DB)
ERPSelction(Main DB)


Altered Table = ERPCommon((ERP DB))
Please execute the following query
ALTER TABLE ERPCommon ALTER COLUMN SUPPLIER_PRICE NVARCHAR(200)Initial Planned Hours: 6
Keys & Permissions: Please add the following keys

<add key="ERPInterfaceCodes" value="1,TUR,OPS,A1003,00000,432882,432882,432882,558418,558418" />
<add key="ERPOtherAgencies" value="1,2,3,4,5" />
Description

<add key="ERPInterfaceCodes"
value="ProjectId,Lob,CostCenter,CostObject,AnalysisCode,CustomerSite,CustomerCode,Description2" />

4. Tripnet

a) QGO Group (Qgo offices/agencies. We can give you the list of agencies)

- Customer site as 432882 for Tripnet bookings (Qgo offices/agencies)
- Customer Code as 432882 wherever it is blank for Tripnet bookings (Qgo in-house agencies)
- Description2 as 432882 wherever it is blank or 0 for Tripnet bookings (Qgo in-house agencies)

b) Travel Agencies using Top-up (All other agencies other than Qgo)

- Customer site as 558418 for Tripnet bookings (Other Travel agencies using Top-up)
- Customer Code as 558418 for Tripnet bookings (Other Travel agencies using Top-up)
- Description2 as ‘Travel Agency name’ for Tripnet bookings (Other Travel agencies using Top-up)

2. Partial Refunds: The ‘Supplier price’ and ‘Company cost price’ always picks the full amount as the refund amount when it is a
partial refund (Refund with Airline cancellation charge).

3. Refund Bookings (RB): Take the date of “Refunded to customer” and NOT the initial Ticketed date. -- This is working fine.

4. Booking Ref: Booking Reference should not be blank. It should pick up the supplier reference # or PNR # (It is mostly blank for
Hotel bookings for NBK Miles in ERP)-- This is working fine.

5. Supplier Price: Foreign currency amount should be at 2 decimal places (USD/AED/EUR/GBP/SAR/QAR should be 0.00)

6. Supplier Currency rate: Supplier currency rate should be 1 for KWD currency and not 0 (It comes 0 for some Insurance bookings in
ERP)

7. Sometimes the Sports, Activities and Insurance bookings are missing from ERP Report

8. For all Jazeera and Flyadeal bookings: Supplier currency should be KWD, Supplier price should be in KWD and Supplier currency
rate should be 1.

History
#1 - 02/22/2022 11:13 am - Nithin George

04/30/2025 1/3



- Due date set to 02/23/2022
- Status changed from New to Assigned
- Assignee set to Jithin J

#2 - 02/22/2022 09:23 pm - Jithin J
- Status changed from Assigned to For Review
- Assignee changed from Jithin J to Nithin George
- % Done changed from 0 to 100
- End_Date set to 02/22/2022
- remarks set to nil
- DB Changes set to Modified SP'S
--------------
InsertERPDetails(ERP DB)
InsertERPData(Main DB)
ERPSelction(Main DB)

Altered Table = ERPCommon((ERP DB))
Please execute the following query
ALTER TABLE ERPCommon ALTER COLUMN SUPPLIER_PRICE NVARCHAR(200)
- Keys & Permissions set to Please add the following keys

<add key="ERPInterfaceCodes" value="1,TUR,OPS,A1003,00000,432882,432882,432882,558418,558418" />
<add key="ERPOtherAgencies" value="1,2,3,4,5" />
- Areas Affected set to ERP
- Files Changed set to B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs
CommonProjects/Common/Settings.cs
CommonProjects/CommonDTOs/DTOs/ERPDTO.cs
CommonProjects/DataProvider/DataAccess/ERPDetailsDA.cs

Completed.
Please add agency id's in "ERPOtherAgencies" key values(Other agnecy id's)
Also please update ERPCommon table

Please add the following keys

<add key="ERPInterfaceCodes" value="1,TUR,OPS,A1003,00000,432882,432882,432882,558418,558418" />
<add key="ERPOtherAgencies" value="1,2,3,4,5" />

Modified SP'S
--------------
InsertERPDetails(ERP DB)
InsertERPData(Main DB)
ERPSelction(Main DB)

Altered Table = ERPCommon((ERP DB))
Please execute the following query
ALTER TABLE ERPCommon ALTER COLUMN SUPPLIER_PRICE NVARCHAR

#3 - 02/23/2022 01:18 pm - Nithin George
- Status changed from For Review to Fixed not Tested
- Assignee changed from Nithin George to Jithin J
